Bug 509665 - RFE: lvm snapshots for chroot
RFE: lvm snapshots for chroot
Status: CLOSED RAWHIDE
Product: Fedora Hosted Projects
Classification: Retired
Component: mock (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Clark Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-04 16:54 EDT by Christoph Maser
Modified: 2014-10-16 11:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: mock-1.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-16 11:24:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Maser 2009-07-04 16:54:29 EDT
It would be really nice if one could use lvm snapshots for chroot environment. That way init would only consist of mounting a given lvm with a named snapshot. This should be even faster than using tmpfs.
Comment 1 Clark Williams 2009-07-05 10:39:02 EDT
How would you create the LVM snapshots? Through a mock interface or through the lvm tools?
Comment 2 Michael Simacek 2014-10-16 11:24:40 EDT
LVM backend is implemented as a mock plugin distributed as separate subpackage mock-lvm. Currently available in rawhide only.

Note You need to log in before you can comment on or make changes to this bug.